>From 6674ddc6696409756cf922dd3612d03cd0997caa Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:17:50 +0300
Subject: [carFl mem 24/65] Globalisation pass 1: sharplhf00l04.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 sharplhf00l04.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/sharplhf00l04.c b/sharplhf00l04.c
index 4865fc2..9d82eaf 100644
--- a/sharplhf00l04.c
+++ b/sharplhf00l04.c
@@ -26,28 +26,28 @@
  * FIXME: This file is unused.
  */
 
-int erase_lhf00l04_block(struct flashchip *flash, unsigned int blockaddr, unsigned int blocklen)
+int erase_lhf00l04_block(globals *g, struct flashchip *flash, unsigned int blockaddr, unsigned int blocklen)
 {
 	chipaddr bios = flash->virtual_memory + blockaddr;
 	chipaddr wrprotect = flash->virtual_registers + blockaddr + 2;
 	uint8_t status;
 
 	// clear status register
-	chip_writeb(0x50, bios);
-	status = wait_82802ab(flash);
+	chip_writeb(g, 0x50, bios);
+	status = wait_82802ab(g, flash);
 	print_status_82802ab(status);
 	// clear write protect
 	msg_cspew("write protect is at 0x%lx\n", (wrprotect));
-	msg_cspew("write protect is 0x%x\n", chip_readb(wrprotect));
-	chip_writeb(0, wrprotect);
-	msg_cspew("write protect is 0x%x\n", chip_readb(wrprotect));
+	msg_cspew("write protect is 0x%x\n", chip_readb(g, wrprotect));
+	chip_writeb(g, 0, wrprotect);
+	msg_cspew("write protect is 0x%x\n", chip_readb(g, wrprotect));
 
 	// now start it
-	chip_writeb(0x20, bios);
-	chip_writeb(0xd0, bios);
-	programmer_delay(10);
+	chip_writeb(g, 0x20, bios);
+	chip_writeb(g, 0xd0, bios);
+	programmer_delay(g, 10);
 	// now let's see what the register is
-	status = wait_82802ab(flash);
+	status = wait_82802ab(g, flash);
 	print_status_82802ab(status);
 
 	/* FIXME: Check the status register for errors. */
-- 
1.7.6

